Bug 1633236 - changing "per page" on Monitor -> Jobs does not have any effect
Summary: changing "per page" on Monitor -> Jobs does not have any effect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: Adam Ruzicka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-26 13:25 UTC by Jan Hutař
Modified: 2019-11-05 22:33 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-1.6.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23898 None None None 2018-09-26 13:27:48 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:10 UTC

Description Jan Hutař 2018-09-26 13:25:58 UTC
Description of problem:
Changing "per page" (dropdown below table listing jobs, on a left side) on Monitor -> Jobs does not have any effect, page still shows only 20 items.


Version-Release number of selected component (if applicable):
satellite-6.4.0-15.el7sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Have ~100 of jobs
2. Go to Monitor -> Jobs and change default 20 "per page" to something else


Actual results:
Still 20 items is being shown


Expected results:
Changed number of items should be shown

Comment 4 pm-sat@redhat.com 2018-10-04 12:02:48 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 5 pm-sat@redhat.com 2018-10-04 12:02:51 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 6 Peter Ondrejka 2018-12-10 13:41:16 UTC
Verified on Sat 6.5 snap 7

Comment 9 errata-xmlrpc 2019-05-14 12:38:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.